Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class ConverterPlugIn

    java.lang.Object
      org.joone.util.AbstractConverterPlugIn
          org.joone.util.ConverterPlugIn

All Implemented Interfaces:
  java.io.Serializable, PlugInListener

Direct Known Subclasses:
  CenterOnZeroPlugIn, ColumnSelectorPlugIn, DeltaNormPlugIn, LogarithmicPlugIn, MinMaxExtractorPlugIn, MovingAveragePlugIn, NormalizerPlugIn, RbfRandomCenterSelector, ShufflePlugin, ToBinaryPlugin

    public abstract class ConverterPlugIn

extends AbstractConverterPlugIn

This abstract class must be extended to implement plug-ins for input data preprocessing. The objects extending this class can be inserted into objects that extend the `org.joone.io.StreamInputSynapse`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.util.AbstractConverterPlugIn
`pluginListeners`

Constructor Summary
`ConverterPlugIn()` The default constructor of the ConverterPlugIn.
`ConverterPlugIn(java.lang.String anAdvancedSerieSelector)` Constructor of the ConverterPlugIn.

Method Summary
`boolean` | `isApplyEveryCycle()` Getter for property applyEachCycle.
`boolean` | `newCycle()` This method is called at the start of a new cycle, and permit to apply the conversion for the components having the applyEveryCycle property set to true.
`void` | `setApplyEveryCycle(boolean anApplyEveryCycle)` Setter for property applyEachCycle.

Methods inherited from class org.joone.util.AbstractConverterPlugIn
`addPlugIn, addPlugInListener, apply, applyOnColumns, applyOnRows, cascade, check, convert, convertPatterns, dataChanged, fireDataChanged, getAdvancedSerieSelector, getInputVector, getName, getNextPlugIn, getPluginListeners, getSerieIndexNumber, getSerieSelected, getValuePoint, isConnected, removeAllPlugIns, removePlugInListener, setAdvancedSerieSelector, setConnected, setInputVector, setName, setNextPlugin, setNextPlugIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterPlugIn

    public ConverterPlugIn()

  The default constructor of the ConverterPlugIn.

### ConverterPlugIn

    public ConverterPlugIn(java.lang.String anAdvancedSerieSelector)

  Constructor of the ConverterPlugIn.

  Parameters:
    `anAdvancedSerieSelector` -
  See Also:
    `AbstractConverterPlugIn.AbstractConverterPlugIn(String)`

Method Detail

### newCycle

    public boolean newCycle()

  This method is called at the start of a new cycle, and permit to apply the conversion for the components having the applyEveryCycle property set to true. This different entry point has been added in order to avoid to applying the conversion for plugins having the applyEveryCycle property set to false.

  Returns:
    true if the input buffer is changed

### isApplyEveryCycle

    public boolean isApplyEveryCycle()

  Getter for property applyEachCycle.

  Returns:
    Value of property applyEachCycle.

### setApplyEveryCycle

    public void setApplyEveryCycle(boolean anApplyEveryCycle)

  Setter for property applyEachCycle.

  Parameters:
    `anApplyEachCycle` - New value of property applyEachCycle.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net